Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001931graphvizBuild/Installpublic2010-08-02 04:542013-10-21 11:15
ReporterRobert Szabo 
Assigned Toellson 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSx86-Linux-Centos5 (5.3)OS Version
Summary0001931: config.rpath returns the wrong lib search path on 64bit machines (x86_64)
Description



configure figures out the right sys_lib_search_path_spec and
sys_lib_dlsearch_path_spec but then runs 'sh ./config/config.rpath'
which does not take into account the (,usr)/lib64 lib search path
on x86_64 and eventually returns this, overriding the correct paths:
<CD>
------------------------------8<----------------------------------
# How to pass a linker flag through the compiler.
acl_cv_wl=""



# Static library suffix (normally "a").
acl_cv_libext="a"



# Shared library suffix (normally "so").
acl_cv_shlibext=""



# Flag to hardcode $libdir into a binary during linking.
# This must work even if $libdir does not exist.
acl_cv_hardcode_libdir_flag_spec=""



# Whether we need a single -rpath flag with a separated argument.
acl_cv_hardcode_libdir_separator=""



# Set to yes if using DIR/libNAME.so during linking hardcodes DIR into the
# resulting binary.
acl_cv_hardcode_direct="no"



# Set to yes if using the -LDIR flag during linking hardcodes DIR into the
# resulting binary.
acl_cv_hardcode_minus_L="no"



# Compile-time system search path for libraries
acl_cv_sys_lib_search_path_spec="/lib /usr/lib /usr/local/lib"



# Run-time system search path for libraries
acl_cv_sys_lib_dlsearch_path_spec="/lib /usr/lib"



------------------------------8<----------------------------------
</CD>



libtool will want to link the 64bit objects against 32bit libraries..



Robert
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT excluding the section 'checking for shared library run path origin... 'from configure seems to solve the linking problem.
FORMER-ID2008
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.26.3
Attached Files

- Relationships

-  Notes
User avatar (0000577)
ellson (administrator)
2013-10-21 11:15

I assume this is fixed. I have no problems with centos5 nightly builds.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695
2013-10-21 11:15 ellson FIX-COMMENT excluding the section 'checking for shared library run path origin... ' from configure seems to solve the linking problem. => excluding the section 'checking for shared library run path origin... 'from configure seems to solve the linking problem.
2013-10-21 11:15 ellson Note Added: 0000577
2013-10-21 11:15 ellson Status acknowledged => resolved
2013-10-21 11:15 ellson Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker